/*******************************************************************************
* FILE NAME: sensor_routines.h
*
* DESCRIPTION:
*  This file contains sensor related declarations
*
* USAGE:
*
*******************************************************************************/

#ifndef __sensor_routines_h_
#define __sensor_routines_h_

static int LeftAmps, RightAmps;

#ifdef VARIABLE_DECLARE
  long GyroSum = 0;
  unsigned char GyroTicks=0; // Time to check the gyro
  unsigned int min_gyro=1024, max_gyro=0;
  long GyroNeutral=0;
#else
  extern long GyroSum;
  extern unsigned char GyroTicks;
  extern int min_gyro, max_gyro;
  extern long GyroNeutral;
#endif

void Gyro(void);
int  Gyro_Degrees(void);
void Initialize_Interrupts(void);
void Gyro_PID(int,char);

#endif
